Bug 1396008 - gdeploy+SAMBA: The option stat-prefetch off to be removed in setting up vol options for samba
Summary: gdeploy+SAMBA: The option stat-prefetch off to be removed in setting up vol o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-11-17 08:51 UTC by surabhi
Modified: 2017-03-07 17:46 UTC (History)
4 users (show)

Fixed In Version: gdeploy-2.0.1-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:35:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description surabhi 2016-11-17 08:51:10 UTC
Description of problem:
As now md-cache is part of 3.2, the option stat-prefetch which is recommended to set to off for samba shares needs to be removed and leave it to default.


Version-Release number of selected component (if applicable):
gdeploy-2.0.1-4.el7rhgs.noarch


How reproducible:
Always


Steps to Reproduce:
1.Run samba setup from gdeploy
2.observe the vol settings
3.

Actual results:
stat-prefetch is off


Expected results:
stat-prefetch should not be set and leave it to default

Additional info:

Comment 3 Sachidananda Urs 2016-11-18 06:55:42 UTC
Commit: https://github.com/gluster/gdeploy/commit/2ef8204798 fixes the issue.

Comment 5 Vivek Das 2016-12-29 10:11:39 UTC
Verified on version

gdeploy-2.0.1-8.el7rhgs.noarch

Comment 7 errata-xmlrpc 2017-02-07 11:35:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.